------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Tab_Bar_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Tab_Bar_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Tab_Bars is

   function addTab_1_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Text : not null access constant Qt4.Strings.Internals.QString)
       return Qt4.Q_Integer;
   pragma Import (C, addTab_1_wrapper,
                     "__Qt4Ada_QTabBar_addTab_1_wrapper");

   function addTab_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Icon : not null access constant Qt4.Icons.Internals.QIcon;
     Text : not null access constant Qt4.Strings.Internals.QString)
       return Qt4.Q_Integer;
   pragma Import (C, addTab_0_wrapper,
                     "__Qt4Ada_QTabBar_addTab_0_wrapper");

   function count_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, count_0_wrapper,
                     "__Qt4Ada_QTabBar_count_0_wrapper");

   function currentIndex_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, currentIndex_0_wrapper,
                     "__Qt4Ada_QTabBar_currentIndex_0_wrapper");

   function drawBase_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, drawBase_0_wrapper,
                     "__Qt4Ada_QTabBar_drawBase_0_wrapper");

   procedure iconSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Sizes.Internals.QSize);
   pragma Import (C, iconSize_0_wrapper,
                     "__Qt4Ada_QTabBar_iconSize_0_wrapper");

   function insertTab_1_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Text : not null access constant Qt4.Strings.Internals.QString)
       return Qt4.Q_Integer;
   pragma Import (C, insertTab_1_wrapper,
                     "__Qt4Ada_QTabBar_insertTab_1_wrapper");

   function insertTab_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Icon : not null access constant Qt4.Icons.Internals.QIcon;
     Text : not null access constant Qt4.Strings.Internals.QString)
       return Qt4.Q_Integer;
   pragma Import (C, insertTab_0_wrapper,
                     "__Qt4Ada_QTabBar_insertTab_0_wrapper");

   function isTabEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer)
       return Qt4.bool;
   pragma Import (C, isTabEnabled_0_wrapper,
                     "__Qt4Ada_QTabBar_isTabEnabled_0_wrapper");

   procedure removeTab_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer);
   pragma Import (C, removeTab_0_wrapper,
                     "__Qt4Ada_QTabBar_removeTab_0_wrapper");

   procedure setDrawBase_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Draw_The_Base : Qt4.bool);
   pragma Import (C, setDrawBase_0_wrapper,
                     "__Qt4Ada_QTabBar_setDrawBase_0_wrapper");

   procedure setIconSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Size : not null access constant Qt4.Sizes.Internals.QSize);
   pragma Import (C, setIconSize_0_wrapper,
                     "__Qt4Ada_QTabBar_setIconSize_0_wrapper");

   procedure setShape_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Shape : Qt4.Tab_Bars.Tab_Bar_Shape);
   pragma Import (C, setShape_0_wrapper,
                     "__Qt4Ada_QTabBar_setShape_0_wrapper");

   procedure setTabData_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Data : not null access constant Qt4.Variants.Internals.QVariant);
   pragma Import (C, setTabData_0_wrapper,
                     "__Qt4Ada_QTabBar_setTabData_0_wrapper");

   procedure setTabEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Enabled : Qt4.bool);
   pragma Import (C, setTabEnabled_0_wrapper,
                     "__Qt4Ada_QTabBar_setTabEnabled_0_wrapper");

   procedure setTabIcon_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Icon : not null access constant Qt4.Icons.Internals.QIcon);
   pragma Import (C, setTabIcon_0_wrapper,
                     "__Qt4Ada_QTabBar_setTabIcon_0_wrapper");

   procedure setTabText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Text : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setTabText_0_wrapper,
                     "__Qt4Ada_QTabBar_setTabText_0_wrapper");

   procedure setTabTextColor_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Color : not null access constant Qt4.Colors.Internals.QColor);
   pragma Import (C, setTabTextColor_0_wrapper,
                     "__Qt4Ada_QTabBar_setTabTextColor_0_wrapper");

   procedure setTabToolTip_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Tip : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setTabToolTip_0_wrapper,
                     "__Qt4Ada_QTabBar_setTabToolTip_0_wrapper");

   procedure setTabWhatsThis_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Text : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setTabWhatsThis_0_wrapper,
                     "__Qt4Ada_QTabBar_setTabWhatsThis_0_wrapper");

   procedure setUsesScrollButtons_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Use_Buttons : Qt4.bool);
   pragma Import (C, setUsesScrollButtons_0_wrapper,
                     "__Qt4Ada_QTabBar_setUsesScrollButtons_0_wrapper");

   function shape_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Tab_Bars.Tab_Bar_Shape;
   pragma Import (C, shape_0_wrapper,
                     "__Qt4Ada_QTabBar_shape_0_wrapper");

   procedure tabData_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Variants.Internals.QVariant);
   pragma Import (C, tabData_0_wrapper,
                     "__Qt4Ada_QTabBar_tabData_0_wrapper");

   procedure tabIcon_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Icons.Internals.QIcon);
   pragma Import (C, tabIcon_0_wrapper,
                     "__Qt4Ada_QTabBar_tabIcon_0_wrapper");

   procedure tabRect_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Rects.Internals.QRect);
   pragma Import (C, tabRect_0_wrapper,
                     "__Qt4Ada_QTabBar_tabRect_0_wrapper");

   procedure tabText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, tabText_0_wrapper,
                     "__Qt4Ada_QTabBar_tabText_0_wrapper");

   procedure tabTextColor_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Colors.Internals.QColor);
   pragma Import (C, tabTextColor_0_wrapper,
                     "__Qt4Ada_QTabBar_tabTextColor_0_wrapper");

   procedure tabToolTip_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, tabToolTip_0_wrapper,
                     "__Qt4Ada_QTabBar_tabToolTip_0_wrapper");

   procedure tabWhatsThis_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, tabWhatsThis_0_wrapper,
                     "__Qt4Ada_QTabBar_tabWhatsThis_0_wrapper");

   function usesScrollButtons_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, usesScrollButtons_0_wrapper,
                     "__Qt4Ada_QTabBar_usesScrollButtons_0_wrapper");

   procedure setCurrentIndex_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer);
   pragma Import (C, setCurrentIndex_0_wrapper,
                     "__Qt4Ada_QTabBar_setCurrentIndex_0_wrapper");

   pragma Style_Checks ("N");

   -------------
   -- Add_Tab --
   -------------

   function Add_Tab
    (Self : not null access Q_Tab_Bar'Class;
     Text : Qt4.Strings.Q_String)
       return Qt4.Q_Integer
   is
   begin
      return
        addTab_1_wrapper
         (Self.QObject_View,
          Qt4.Strings.Internals.QString_View (Text));
   end Add_Tab;

   -------------
   -- Add_Tab --
   -------------

   function Add_Tab
    (Self : not null access Q_Tab_Bar'Class;
     Icon : Qt4.Icons.Q_Icon;
     Text : Qt4.Strings.Q_String)
       return Qt4.Q_Integer
   is
   begin
      return
        addTab_0_wrapper
         (Self.QObject_View,
          Qt4.Icons.Internals.QIcon_View (Icon),
          Qt4.Strings.Internals.QString_View (Text));
   end Add_Tab;

   -----------
   -- Count --
   -----------

   function Count
    (Self : not null access constant Q_Tab_Bar'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        count_0_wrapper
         (Self.QObject_View);
   end Count;

   -------------------
   -- Current_Index --
   -------------------

   function Current_Index
    (Self : not null access constant Q_Tab_Bar'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        currentIndex_0_wrapper
         (Self.QObject_View);
   end Current_Index;

   ---------------
   -- Draw_Base --
   ---------------

   function Draw_Base
    (Self : not null access constant Q_Tab_Bar'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (drawBase_0_wrapper
           (Self.QObject_View));
   end Draw_Base;

   ---------------
   -- Icon_Size --
   ---------------

   function Icon_Size
    (Self : not null access constant Q_Tab_Bar'Class)
       return Qt4.Sizes.Q_Size
   is
      Returns : Qt4.Sizes.Q_Size;

   begin
      iconSize_0_wrapper
       (Self.QObject_View,
        Qt4.Sizes.Internals.QSize_View (Returns));

      return Returns;
   end Icon_Size;

   ----------------
   -- Insert_Tab --
   ----------------

   function Insert_Tab
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer;
     Text : Qt4.Strings.Q_String)
       return Qt4.Q_Integer
   is
   begin
      return
        insertTab_1_wrapper
         (Self.QObject_View,
          Index,
          Qt4.Strings.Internals.QString_View (Text));
   end Insert_Tab;

   ----------------
   -- Insert_Tab --
   ----------------

   function Insert_Tab
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer;
     Icon : Qt4.Icons.Q_Icon;
     Text : Qt4.Strings.Q_String)
       return Qt4.Q_Integer
   is
   begin
      return
        insertTab_0_wrapper
         (Self.QObject_View,
          Index,
          Qt4.Icons.Internals.QIcon_View (Icon),
          Qt4.Strings.Internals.QString_View (Text));
   end Insert_Tab;

   --------------------
   -- Is_Tab_Enabled --
   --------------------

   function Is_Tab_Enabled
    (Self : not null access constant Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isTabEnabled_0_wrapper
           (Self.QObject_View,
            Index));
   end Is_Tab_Enabled;

   ----------------
   -- Remove_Tab --
   ----------------

   procedure Remove_Tab
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
   is
   begin
      removeTab_0_wrapper
       (Self.QObject_View,
        Index);
   end Remove_Tab;

   -------------------
   -- Set_Draw_Base --
   -------------------

   procedure Set_Draw_Base
    (Self : not null access Q_Tab_Bar'Class;
     Draw_The_Base : Standard.Boolean)
   is
   begin
      setDrawBase_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Draw_The_Base));
   end Set_Draw_Base;

   -------------------
   -- Set_Icon_Size --
   -------------------

   procedure Set_Icon_Size
    (Self : not null access Q_Tab_Bar'Class;
     Size : Qt4.Sizes.Q_Size)
   is
   begin
      setIconSize_0_wrapper
       (Self.QObject_View,
        Qt4.Sizes.Internals.QSize_View (Size));
   end Set_Icon_Size;

   ---------------
   -- Set_Shape --
   ---------------

   procedure Set_Shape
    (Self : not null access Q_Tab_Bar'Class;
     Shape : Qt4.Tab_Bars.Tab_Bar_Shape)
   is
   begin
      setShape_0_wrapper
       (Self.QObject_View,
        Shape);
   end Set_Shape;

   ------------------
   -- Set_Tab_Data --
   ------------------

   procedure Set_Tab_Data
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer;
     Data : Qt4.Variants.Q_Variant)
   is
   begin
      setTabData_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Variants.Internals.QVariant_View (Data));
   end Set_Tab_Data;

   ---------------------
   -- Set_Tab_Enabled --
   ---------------------

   procedure Set_Tab_Enabled
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer;
     Enabled : Standard.Boolean)
   is
   begin
      setTabEnabled_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.To_bool (Enabled));
   end Set_Tab_Enabled;

   ------------------
   -- Set_Tab_Icon --
   ------------------

   procedure Set_Tab_Icon
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer;
     Icon : Qt4.Icons.Q_Icon)
   is
   begin
      setTabIcon_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Icons.Internals.QIcon_View (Icon));
   end Set_Tab_Icon;

   ------------------
   -- Set_Tab_Text --
   ------------------

   procedure Set_Tab_Text
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer;
     Text : Qt4.Strings.Q_String)
   is
   begin
      setTabText_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Text));
   end Set_Tab_Text;

   ------------------------
   -- Set_Tab_Text_Color --
   ------------------------

   procedure Set_Tab_Text_Color
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer;
     Color : Qt4.Colors.Q_Color)
   is
   begin
      setTabTextColor_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Colors.Internals.QColor_View (Color));
   end Set_Tab_Text_Color;

   ----------------------
   -- Set_Tab_Tool_Tip --
   ----------------------

   procedure Set_Tab_Tool_Tip
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer;
     Tip : Qt4.Strings.Q_String)
   is
   begin
      setTabToolTip_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Tip));
   end Set_Tab_Tool_Tip;

   ------------------------
   -- Set_Tab_Whats_This --
   ------------------------

   procedure Set_Tab_Whats_This
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer;
     Text : Qt4.Strings.Q_String)
   is
   begin
      setTabWhatsThis_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Text));
   end Set_Tab_Whats_This;

   -----------------------------
   -- Set_Uses_Scroll_Buttons --
   -----------------------------

   procedure Set_Uses_Scroll_Buttons
    (Self : not null access Q_Tab_Bar'Class;
     Use_Buttons : Standard.Boolean)
   is
   begin
      setUsesScrollButtons_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Use_Buttons));
   end Set_Uses_Scroll_Buttons;

   -----------
   -- Shape --
   -----------

   function Shape
    (Self : not null access constant Q_Tab_Bar'Class)
       return Qt4.Tab_Bars.Tab_Bar_Shape
   is
   begin
      return
        shape_0_wrapper
         (Self.QObject_View);
   end Shape;

   --------------
   -- Tab_Data --
   --------------

   function Tab_Data
    (Self : not null access constant Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Variants.Q_Variant
   is
      Returns : Qt4.Variants.Q_Variant;

   begin
      tabData_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Variants.Internals.QVariant_View (Returns));

      return Returns;
   end Tab_Data;

   --------------
   -- Tab_Icon --
   --------------

   function Tab_Icon
    (Self : not null access constant Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Icons.Q_Icon
   is
      Returns : Qt4.Icons.Q_Icon;

   begin
      tabIcon_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Icons.Internals.QIcon_View (Returns));

      return Returns;
   end Tab_Icon;

   --------------
   -- Tab_Rect --
   --------------

   function Tab_Rect
    (Self : not null access constant Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Rects.Q_Rect
   is
      Returns : Qt4.Rects.Q_Rect;

   begin
      tabRect_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Rects.Internals.QRect_View (Returns));

      return Returns;
   end Tab_Rect;

   --------------
   -- Tab_Text --
   --------------

   function Tab_Text
    (Self : not null access constant Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      tabText_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Tab_Text;

   --------------------
   -- Tab_Text_Color --
   --------------------

   function Tab_Text_Color
    (Self : not null access constant Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Colors.Q_Color
   is
      Returns : Qt4.Colors.Q_Color;

   begin
      tabTextColor_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Colors.Internals.QColor_View (Returns));

      return Returns;
   end Tab_Text_Color;

   ------------------
   -- Tab_Tool_Tip --
   ------------------

   function Tab_Tool_Tip
    (Self : not null access constant Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      tabToolTip_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Tab_Tool_Tip;

   --------------------
   -- Tab_Whats_This --
   --------------------

   function Tab_Whats_This
    (Self : not null access constant Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      tabWhatsThis_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Tab_Whats_This;

   -------------------------
   -- Uses_Scroll_Buttons --
   -------------------------

   function Uses_Scroll_Buttons
    (Self : not null access constant Q_Tab_Bar'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (usesScrollButtons_0_wrapper
           (Self.QObject_View));
   end Uses_Scroll_Buttons;

   -----------------------
   -- Set_Current_Index --
   -----------------------

   procedure Set_Current_Index
    (Self : not null access Q_Tab_Bar'Class;
     Index : Qt4.Q_Integer)
   is
   begin
      setCurrentIndex_0_wrapper
       (Self.QObject_View,
        Index);
   end Set_Current_Index;

end Qt4.Tab_Bars;
